<?php
/**
 * @name   JavaOrderSdk
 * @date   2018-12-04
 * @time   Tue, 04 Dec 2018 18:29:57 +0800
 */
namespace Uniondrug\ServiceSdk\Exports\Modules;

use Uniondrug\ServiceSdk\Exports\Abstracts\SdkBase;
use Uniondrug\ServiceSdk\Bases\ResponseInterface;

/**
 * JavaOrderSdk
 * @package Uniondrug\ServiceSdk\Modules
 */
class JavaOrderCodeSdk extends SdkBase
{
    /**
     * 服务名称
     * @var string
     */
    protected $serviceName = 'java.ordercode';

    /**
     * 创建审核单单号
     * @link https://uniondrug.coding.net/p/java.module.order/git/blob/development/uniondrug/uniondrug-services/uniondrug-ordercode-service/CHANGELOG.MD#user-content-432
     * @param array $body 入参类型
     * @return ResponseInterface
     */
    public function createAuditNo($body)
    {
        return $this->restful("POST", "/orderno/audit/create", $body);
    }

    /**
     * 创建退款申请单单号
     * @link https://uniondrug.coding.net/p/java.module.order/git/blob/development/uniondrug/uniondrug-services/uniondrug-ordercode-service/CHANGELOG.MD#user-content-434
     * @param array $body 入参类型
     * @return ResponseInterface
     */
    public function createApplyNo($body)
    {
        return $this->restful("POST", "/orderno/backamountapply/create", $body);
    }
}
